/**Begin D:\PDM\PDM1\BOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_WORKCALENDAR_INIT_L')
 CREATE TABLE T_BD_WORKCALENDAR_INIT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(64) DEFAULT ' ' NOT NULL
);

 EXEC P_ALTERPK 'PK_T_BD_WORKCALENDAR_INIT_L', 'T_BD_WORKCALENDAR_INIT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'PK_T_BD_WORKCAL_INIT_L') CREATE INDEX PK_T_BD_WORKCAL_INIT_L ON T_BD_WORKCALENDAR_INIT_L ( FID );

/**End D:\PDM\PDM1\BOS_constraint.sql **/

